دانلود SDK برای نسخه بعد و قبل ۹.۳۰ بیسیک۴اندروید


دانلود SDK برای نسخه بعد و قبل ۹.۳۰ بیسیک۴اندروید
31 تیر 1398
7371 بازدید
نویسنده:

🛠 ابزار SDK یکی از نیاز های برنامه نویسی اندروید در هر محیطی هست. ازاونجایی که استفاده از سرویس های جدید مثل فایربیس، پوشه و ابزارهای دیگه نیاز به یک SDK به روز داره در اینجا سعی کردیم تقریباً یک نسخه بروز از اون رو متناسب برای محیط بیسیک۴اندروید و هماهنگ با کتابخانه ها و سرویس های جدید (تا قبل از AndroidX) رو قرار بدیم.

 

🔴 دانلود و نکات SDK قبل از بیسیک ۹.۳۰:

 

  • این SDK دارای platform های ۲۴-۲۷-۲۸ هست(درصورت نیاز میتونید بروزرسانی کنید)
  • دارای Build-Tools نسخه ۲۷٫۰٫۱
  • دارای b4a_remote و دیگر ابزارهای بیسیک
  • دارای پوشه system-images
  • قابل بروزرسانی از طریق SDK Manager خود بیسیک۴اندروید

 

⬇️ دانلود SDK مناسب بیسیک قبل از ۹.۳۰

حجم: ۱.۵۶ گیگابایت

 


 

🔴 SDK برای بیسیک ۹.۳۰ به بعد (AndroidX)

 

اگر از بیسیک۴اندروید ورژن ۹.۳۰ به بالا استفاده میکنید، جدیدترین SDK رو از زیر دانلود کنید.

 

⬇️ دانلود SDK مناسب بیسیک ۹.۳۰ به بعد

حجم: ۱.۲۹ گیگابایت

 


برای اطلاع از جدیدترین سورس ها و آموزش های سایت در کانال تلگرامی کافه توسعه عضو بشید: @CafeToseeh


پژمان نیکروان
پژمان نیکروان

پژمان نیکروان هستم؛ مدیر وب سایت کافه توسعه، شروع فعالیتم به برنامه نویسی از سال 1392 بوده و هدف از ایجاد وبسایت اشتراک گذاری تجارب خودم و دیگر برنامه نویسان هست.

ارسال دیدگاه

می توانید از تگ های HTML نیز استفاده کنید :
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

دیدگاه های مطلب:
Profile Comment
رضا

با درود فراوان بابت فایل sdk ممنونم فایل کاملی بود

پاسخ دادن

10 آذر 1400

Profile Comment
مصطفی

درود. آخرین نسخه platforms توی این آپدیت چیه؟

پاسخ دادن

25 مهر 1400

    Profile Comment
    پژمان نیکروان

    سلام
    در sdk بیسیک قبل ۹.۳۰ : ۲۹
    و در sdk بیسیک بعد از ۹.۳۰ : ۳۰
    نسخه platformsخیلی مهم نیست، میتونید خودتون توی گوگل سرچ و دانلود کنید و به sdk خودتون اضافش کنید.

    پاسخ دادن

    27 مهر 1400

Profile Comment
امیر

سلام
خیلی ممنونم بابت سایت خوبتون
بنده همه ی این کارهایی رو که فرمودید انجام دادم ولی باز هم موقع ران گرفتن ارور زیر میاد
Generating R file. Error
AndroidManifest.xml:16: error: Error: No resource found that matches the given name (at ‘icon’ with value ‘@drawable/icon’).
AndroidManifest.xml:16: error: Error: No resource found that matches the given name (at ‘theme’ with value ‘@style/DarkTheme’).

در قسمت Project/Manifest Editor هم minSdkVersion=”5″ با اینکه فایل های بالا رو نصب کردم

ممنون میشم کمکم کنید خیلی احتیاج دارم

پاسخ دادن

22 شهریور 1400

    Profile Comment
    پژمان نیکروان

    سلام
    ✅ برای اینکه این خطا پیش نیاد:
    ۱- اسم پوشه پروژه(و کلا مسیر پروژه) رو فارسی نذارید و حتما از حروف انگلیسی استفاده کنید.
    ۲- در مسیر SDK و JDK شما نباید اسم پوشه ها و… فارسی باشه و حتما از حروف انگلیسی استفاده کنید.
    ۳- اگر بازهم درست نشد یه پروژه جدید ایجاد کنید و تمام فایل ها و محتویات رو انتقال بدید به پروژه جدید.

    پاسخ دادن

    27 مهر 1400

Profile Comment
hldv

چطوری باید نصب کنم

پاسخ دادن

7 تیر 1400

    Profile Comment
    پژمان نیکروان

    نیازی به نصب نیست، داخل فایل زیپ یک پوشه هست اون رو توی یکی از درایو های سیستمتون بریزید.

    پاسخ دادن

    8 تیر 1400

Profile Comment
مصطفی

سلام این SDK برای بیسیک ۱۰.۲ sdk manager بیسیک رو باز میکنه؟
اخه هر sdk نصب کردم نمیتونم اپدیتش کنم

پاسخ دادن

5 آبان 1399

    Profile Comment
    پژمان نیکروان

    سلام برای بیسیک ۱۰.۲ اون sdk ای که مربوط به AndroidX یا بیسیک ۹.۳۰ به بالا هست دانلود کنید که sdk manager اش هم مشکلی نداره.

    پاسخ دادن

    6 آبان 1399

Profile Comment
محمد آرتین

و اگه میشه تبدیل کتابخانه رو برای اندرویدx در b4a 9.3 به بالا توضیح بدین یا در قالب یک آموزش تو سایت قرار بدین و لینکشو برام بفرستین ممنون میشم

پاسخ دادن

23 مرداد 1399

Profile Comment
محمد آرتین

سلام خسته نباشید
من به یه سوال و یه مشکل بر خوردم الان اگه بخوایم از اندرویدx استفاده بکنیم و از نسخه ۹.۸ b4a کنیم سورسی که نوشته میشه نمیشه رو نسخه پایین تر اندروید نوشت یعنی من ازapi 19 که همون اندروید کیت کت۴.۴هست استفاده میکنم که برنامه روی گوشی های قدیمی هم باز شه الان باید ازapi 28 که اندروید ۹ هست به بالا باید استفاده کرد که روی بستر اندروید xپیاده سازی کرد اینطوری روی گوشی های که اندروید پایین دارن برنامه باز نمیشه که؟! تویه اندروید استدیو اینطوریه تویهb4a هم همینطوره اگه بخوایم برنامه از اندروید ۴.۴ به بالا پشتی بانی کنه چکار باید بکنیم آیا میشه تو اندرویدx هم از نسخه پایین ipa استفاده کرد؟! اگه میشه یه توضیی بدین ممنون میشم انقد سر این قضیه sdkبه ارور خوردم که روانی شدم اگه بخوام روی اندروید۴.۴ برنامه بنویسم باید از بیسیک فور اندروید نسخه ۹ به پایین استفاده کنم یا میتونم تو نسخه بالا و اندرویدx هم رو کیت کت برنامه بنویسم

پاسخ دادن

23 مرداد 1399

    Profile Comment
    پژمان نیکروان

    سلام خدمت شما
    خیر، چنین چیزی که فرمودین صحیح نیست، شما میتونید با هر نسخه ای از بیسیک یا sdk برای هر ورژن اندرویدی که بخواین برنامه بنویسید. (در اندروید استودیو هم همینطور هست)
    اگه دیدید روی گوشی ۴.۴ نصب نمیشه یا نصب میشه اما عملکرد درستی نداره بستگی به خیلی چیزهای دیگه داره. مثلا ممکنه کتابخانه ای در پروژه استفاده شده باشه که اندروید ۴.۴ اون رو پشتیبانی نکنه.
    تارگت اس دی کی، API version و… هیچ تاثیری روی اجرا در اندروید پایین ندارن.

    پاسخ دادن

    28 مرداد 1399

Profile Comment
reza

سلام ببخشید من اس دی کی تولزم ورژن ۲۵.۲.۵ هست که از اون بیشتر دیگه اپدیت نمیاد براش! یعنی فقط پلتفورم ها و شاید extras ها نسخه جدیدشون بزاره اما خود اصل کاری یعنی اس دی کی از ۲۵.۲.۵ دیگه اپدیت هاش نمیاد و فهمیدم دیگه اون برنامه اس دی کی قدیمی و منسوخ شده! و گفتم این اس دی کی جدید هستش یعنی و میشه نسخه های جدیدو باهاش اپدیت کرد با سپاس.

پاسخ دادن

31 اردیبهشت 1399

Profile Comment
محمد طاها اصلانی

سلام ببخشید آیا این sdk که هستش برای اتصال شبیه ساز به b4a هم مناسب است یا خیر؟؟

پاسخ دادن

29 فروردین 1399

    Profile Comment
    پژمان نیکروان

    سلام اگر شبیه ساز AVD منظورتون هست خیر، اما شبیه ساز های جانبی مثل Nox و… مشکلی نیست.

    پاسخ دادن

    29 فروردین 1399

Profile Comment
حسین

سلام مهندس محترم عزیز و متعهد .
ضمن خسته نباشید بسیار عالی میشد که برای این قسمت :

🔴 از نسخه ۹٫۳۰ به بعد بیسیک(دارای Android X) استفاده میکنم، چکار کنم؟

نگران نباشید، برای شما هم یک نسخه SDK متناسب با AndroidX قرار دادیم که توسط سایت PlusDev آپلود شده.

⬇️ برای دانلود SDK مناسب برای AndroidX کلیک کنید

نکته: به دلیل حجم بالای پوشه System-images در این فایل قرار داده نشده، بنابراین system-images خودتون رو در پوشه این SDK قرار بدید.


یه عکس مناسب قرار میدادید تا به دو قسمتی بودن پست کاملا اشاره میشد .به هر حال خسته نباشید/

پاسخ دادن

23 اسفند 1398

Profile Comment
milad.kantoori

سلام
من sdk شما رو دانلود گردم و الان با متریال مشکل پیدا کردم
همه خطا ها هم چیزی شبیه به این مورد هستش:

class file for android.support.v7.widget.AppCompatImageView not found
۱ error

پاسخ دادن

19 مرداد 1398

    Profile Comment
    پژمان نیکروان

    سلام
    قاعدتاً مشکلی در SDK وجود نداره چون خودمون درحال استفاده از اونها هستیم، اما کمکتون میکنیم که انشاالله مشکل رو برطرف کنید.
    از چه نسخه بیسیک استفاده میکنید و کدوم SDK رو دانلود کردید؟

    پاسخ دادن

    19 مرداد 1398

      Profile Comment
      milad.kantoori

      مشکل از نسخه ۹٫۳ b4a بودش، در حال حاضر از نسخه ۸٫۸ استفاده می کنم و مشکلی نداره

      پاسخ دادن

      20 مرداد 1398

        Profile Comment
        پژمان نیکروان

        بله درصورتی که در نسخه ۹٫۳۰ به بالا استفاده میکنید باید از SDK نسخه AndroidX استفاده کنید و ضمن اون کارهای تبدیل کتابخانه و… هم باید انجام بدید.

        پاسخ دادن

        20 مرداد 1398

Profile Comment
امین پاکدل

لطفاً طریقه نصب SDK رو در داخل سایت قرار بدید

پاسخ دادن

10 مرداد 1398

    Profile Comment
    پژمان نیکروان

    طریقه نصب خاصی وجود نداره، فقط پوشه sdk رو توی یکی از درایو هاتون کپی کنید و مسیر android.jar رو در قسمت build Configuration بیسیک بدید.

    پاسخ دادن

    11 مرداد 1398